from wtforms.form import Form, StringField, validators, InputRequired, PasswordField, EmailField
from paramecio2.libraries.i18n import I18n, PGetText

gtext=PGetText(__file__)

_=gtext.gettext

class UserForm(Form):
    
    username=StringField('Username',  [validators.required()])
    password=PasswordField('Password', [InputRequired(), EqualTo('confirm', message='Passwords must match')])
    confirm=PasswordField('Repeat Password')
    email=EmailField('Email', [validators.required()])
    
